Author Topic: Errors from CoreAutoloader under PHP 8.1  (Read 302 times)

Offline CodeALot

  • Posts: 512
  • Gender: Male
Errors from CoreAutoloader under PHP 8.1
« on: April 07, 2022, 10:40:39 AM »
WB Version 2.13.0 r63 - PHP 8,1

New installation, nothing added yet. Errorfile fills up with this:

Code: [Select]
Thu, 07 Apr 2022 08:34:47 +0000 [E_DEPRECATED] /framework/CoreAutoloader.php:[118] from /framework/CoreAutoloader.php:[118] preg_split "preg_split(): Passing null to parameter #3 ($limit) of type int is deprecated"
Does anyone have any idea what where to change/fix?

Offline dbs

  • Betatester
  • **
  • Posts: 8730
  • Gender: Male
  • tioz4ever
    • WebsiteBaker - jQuery-Plugins - Module - Droplets - Tests
Re: Errors from CoreAutoloader under PHP 8.1
« Reply #1 on: April 07, 2022, 07:23:51 PM »
So far i know is 2.13.0 for PHP 8.0 ready.
The upcoming 2.13.1 is for PHP 8.1.

Offline ruebenwurzel

  • Betatester
  • **
  • Posts: 8420
  • Gender: Male
  • Keep on Rockin
    • Familie Gallas Online
Re: Errors from CoreAutoloader under PHP 8.1
« Reply #2 on: April 07, 2022, 09:24:32 PM »
The Developement Team ist working hard on getting WB working under PHP 8.1, but i think we'll have to wait until WB 2.13.2. The upcoming WB 2.13.1 works with PHP 7.4.x and 8.0.x

Matthias

Offline Luisehahne

  • WebsiteBaker Org e.V.
  • **
  • Posts: 4512
  • Gender: Male
Re: Errors from CoreAutoloader under PHP 8.1
« Reply #3 on: April 09, 2022, 11:37:11 PM »
Hello Friends,
the coming Version WB 2.13.1 isn't completly ready fixed for php8.1.x. All Tests works fine from php 7.4.x until php 8.0.x without known issues.

e.g. the deprecated error

Code: [Select]
Thu, 07 Apr 2022 08:34:47 +0000 [E_DEPRECATED] /framework/CoreAutoloader.php:[118] from /framework/CoreAutoloader.php:[118] preg_split "preg_split(): Passing null to parameter #3 ($limit) of type int is deprecated"and other are already fixed

The next, i will be going to fix it
Code: [Select]
Sat, 09 Apr 2022 18:46:44 +0000 [E_WARNING] /framework/helpers/ParentList.php:[141] from /framework/helpers/ParentList.php:[79] bin\helpers\ParentList::build_access_file "Trying to access array offset on value of type bool"
Sat, 09 Apr 2022 18:46:45 +0000 [E_WARNING] /framework/traits/CaptchaTrait.php:[52] from /framework/Login.php:[137] bin\Login->checkCaptcha "Undefined array key "captcha"""

Dietmar
Note: Once the code has been generated, it is easy to debug. It's not a bug, it's a feature!

Offline CodeALot

  • Posts: 512
  • Gender: Male
Re: Errors from CoreAutoloader under PHP 8.1
« Reply #4 on: April 10, 2022, 02:52:49 PM »
Thanks all, I'll change the hosting tot 7.4 for now. (Fortunately this hoster allows me to do that :)